// *****************************************************************************
// *            EUROSYST - FENDT-Prfstrasse auf PC LON Basis                  *
// *****************************************************************************
// * Sprache                : Borland C++ V 4.52                               *
// * programmiert von       : EURO-System-FENDT-Team  								 *
// * Projekt begonnen am    : 29.05.1996                                       *
// * Sourcetext begonnen am : 29.05.1996                                       *
// * letzte nderung am     : 25.06.1996                                       *
// *****************************************************************************
// *                          Datei : GLOBAL.H                                *
// ****************************************************************************
// * Bemerkung : Angabe globaler Definitionen                                 *
// ****************************************************************************

// ====================== Definition verschiedener X/Y-Positionen ==============
// Statusfenster am oberen Bildschirmrand
#define	STATUSZEILENFENSTER_X1		0
#define	STATUSZEILENFENSTER_Y1		0
#define	STATUSZEILENFENSTER_X2		10000
#define	STATUSZEILENFENSTER_Y2		900
#define	STATUSZEILENFENSTER_DX		10000
#define	STATUSZEILENFENSTER_DY		900

// restlicher Bildschirm unter der Statuszeile
#define	ANZEIGEFENSTER_X1				0
#define	ANZEIGEFENSTER_Y1				900
#define	ANZEIGEFENSTER_X2				10000
#define	ANZEIGEFENSTER_Y2				10000

#define	ANZEIGEFENSTER_DX				10000
#define	ANZEIGEFENSTER_DY				9100


// ====================== Definition verschiedener Bildschirme =================
// Eingangs-Screens
#define	SCREEN_INTRO						0
#define	SCREEN_MENUE            		1

// Prfstnde
#define	SCREEN_FRP							10
#define	SCREEN_ALB				 			11
#define	SCREEN_BPS              		12
#define	SCREEN_TACHO            		21

// diverses
#define	SCREEN_VAR_PRG          		100



// ====================== allgemeine Definition ================================
// Achsen-Definitionen
#define	TEMP_ACHSE 							0
#define	VORDERACHSE							1
#define	FESTSTELLBREMSE					2
#define	HINTERACHSE							3
#define  BTB                        	1
#define  FSB                        	2
#define  NTB                        	3

// Betriebsarten
#define	MANUELL								0
#define	AUTOMATIK							1

// positiv / negativ
#define	POSITIV								0
#define	NEGATIV								1

// plus / minus
#define	MINUS  								0
#define	PLUS   								1

// vorne / hinten
#define	VORNE  								0
#define	HINTEN  								1
#define	VORNE_HINTEN 						2	// beide


// Ablaufsteps fr BPS
#define	STEP_MAX_WERTE_ANZEIGEN	   	1
#define	STEP_ACHSE_ABLEGEN   			2
#define	STEP_ACHSE_LOESCHEN  			3
#define	STEP_ACHSE_WEITER    			4
#define	STEP_ACHSE_ZYKL_ANZEIGEN 		5
#define	STEP_OVAL_MESSEN 					6



// ------------ Kennung :  nicht gemessen / gemessen / Fehler (global )
#define  KENNUNG_NICHT_GEMESSEN			FALSE // nichts gemessen
#define  KENNUNG_GEMESSEN_OK				TRUE	// gemessen + kein Fehler
#define  KENNUNG_GEMESSEN_FEHLER			9		// gemessen, aber irgendein Fehler


// Niederziehvorrichtungs-Eingang festlegen ( derzeit Eingang 8 )
// #define	EINGANG_NIEDERZIEHVORRICHTUNG	FLAG_EINGANG_8



// ============ Sektion 1: Leistungsprftsand-Prfstand (LPS) ==================

// Prfstands-Definitionen ( nicht nderbar ! )
#define	LPS_KENNUNG							1


// ============ Sektion 2: ASR Prfstand =======================================

// Prfstands-Definitionen ( nicht nderbar ! )
#define	ASR_KENNUNG							2

// ====================== Ausgnge festlegen  ==================================

// Festlegung Ausgnge ( insgesamt auf 3 LON-OR8 verteilt )
// => Relaiskarte 1 :   K1  (1)   -   K8  (8)
//    Relaiskarte 2 :   K9  (9)   -   K16 (16)
//    Relaiskarte 3 :   K17 (17)  -   K24 (24)


// ==== Relaiskarte  1    LON-Netz vom Funktionsrollenprfstand =========
// Betriebsstundenzhler fr LPS
#define	FRP_AUSGANG_BETRIEBSSTUNDENZAEHLER			1
// Motorsteuerung Rollteppich li / re  vor / zurck
#define	FRP_AUSGANG_ROLLTEPPICH_LI_VOR    			2
#define	FRP_AUSGANG_ROLLTEPPICH_LI_ZURUECK 			3
#define	FRP_AUSGANG_ROLLTEPPICH_RE_VOR 	   		4
#define	FRP_AUSGANG_ROLLTEPPICH_RE_ZURUECK	 		5
// Ansteuerung fr Kupplungen li / re
#define	FRP_AUSGANG_KUPPLUNG_LI           			6
#define	FRP_AUSGANG_KUPPLUNG_RE           			7
// nicht belegt
#define	FRP_AUSGANG_FREI_8                			8


// ==== Relaiskarte  2    LON-Netz vom Funktionsrollenprfstand =========
// Ansteuerung fr LPS ( reserviert fr LPS !! )
#define	LPS_AUSGANG_START_STOP            			9
#define	LPS_AUSGANG_FREIGABE_STROMRICHTER 			10


// Ansteuerung fr Blockierung der Schwungmasse  li / re
#define	FRP_AUSGANG_BLOCKIERUNG_SCHWUNGMASSE_LI 	11
#define	FRP_AUSGANG_BLOCKIERUNG_SCHWUNGMASSE_RE 	12
// Ansteuerung fr die Hebeschwelle
// Heben(oben) => EIN     senken(unten) => AUS
#define	FRP_AUSGANG_HEBESCHWELLE						13
// nicht belegt
#define	FRP_AUSGANG_FREI_14               			14
#define	FRP_AUSGANG_FREI_15               			15
#define	FRP_AUSGANG_FREI_16               			16


// ==== Relaiskarte  3    LON-Netz vom Funktionsrollenprfstand =========
// Ansteuerung der Scheibenbremsen
#define	FRP_AUSGANG_BREMSE_ROLLTEPPICH	  			17
#define	FRP_AUSGANG_BREMSE_ROLLSATZ_BEWEGLICH		18
#define	FRP_AUSGANG_BREMSE_ROLLSATZ_STARR    		19
// Ansteuerung Zurrseile lsen / spannen   vorne / hinten
#define	FRP_AUSGANG_ZURRSEILE_VORNE_LOESEN			20
#define	FRP_AUSGANG_ZURRSEILE_VORNE_SPANNEN			21
#define	FRP_AUSGANG_ZURRSEILE_HINTEN_LOESEN			22
#define	FRP_AUSGANG_ZURRSEILE_HINTEN_SPANNEN		23
// Motoransteuerung Bremsen / Zurrseile
#define	FRP_AUSGANG_BREMSEN_ZURRSEILE					24




// ==== Relaiskarte  1    LON-Netz vom Bremsenprfstand =================
// Motorsteuerung BPS  li / re / Dreieck
#define	BPS_AUSGANG_MOTORSTEUERUNG_LI					1
#define	BPS_AUSGANG_MOTORSTEUERUNG_RE					2
#define	BPS_AUSGANG_MOTORSTEUERUNG_DREIECK			3	// direkt vom BPS-Knoten !
// Sttzrolle li / re   heben / senken
#define	BPS_AUSGANG_STUETZROLLE_HEBEN_LI				4
#define	BPS_AUSGANG_STUETZROLLE_SENKEN_LI  			5
#define	BPS_AUSGANG_STUETZROLLE_HEBEN_RE				6
#define	BPS_AUSGANG_STUETZROLLE_SENKEN_RE  			7
// Motorsteuerung fr Sttzrollen
#define	BPS_AUSGANG_MOTORSTEUERUNG_STUETZROLLEN	8





// ====================== Eingnge festlegen  ==================================

// Festlegung Eingnge ( derzeit nur 1 LON-IN8  )
// => Eingangskarte 1 :   E1  (1)   -   E8  (8)


// ==== Eingangskarte  1    LON-Netz vom Funktionsrollenprfstand =========
// Rollteppich Anschlag (Nherungsschalter) vorne / hinten   li / re
#define	EINGANG_ROLLTEPPICH_ANSCHLAG_VORNE_LI		1
#define	EINGANG_ROLLTEPPICH_ANSCHLAG_VORNE_RE		3

#define	EINGANG_ROLLTEPPICH_ANSCHLAG_HINTEN_LI		2
#define	EINGANG_ROLLTEPPICH_ANSCHLAG_HINTEN_RE		4

// ****************************************************************************
// *                   Definitionen fr LON_Variable_lesen                    *
// ****************************************************************************

#define	LON_TIMEOUT											0x10000
#define	LON_VARIABLE_NICHT_VORHANDEN					0x20000

// ****************************************************************************
// *                           EEPROM-Variablen                               *
// ****************************************************************************

#define	EE_PRUEFSTANDS_MASSE								6
#define	EE_V_REF												33
#define	EE_ZUGKRAFT_KALIBRIER_FAKTOR           	36
#define	EE_ZUGKRAFT_KALIBRIER_FAKTOR_REVERS			38
#define	EE_AV_PARASITAER									51
#define	EE_BV_PARASITAER									52
#define	EE_CV_PARASITAER									53
#define	EE_KALIBRIER_FAKTOR_WAAGE_LINKS				61
#define	EE_KALIBRIER_FAKTOR_WAAGE_RECHTS				59
#define	EE_EICHGEWICHT_FX									88
#define	EE_PARASITAERE_VERLUSTE_BEI_15_MPH			98
#define	EE_PARASITAERE_VERLUSTE_BEI_25_MPH			99

#define	EE_SOFT_DIP_HIGH									178
#define	EE_SOFT_DIP_LOW									179

// ****************************************************************************
// *                          Ende  : GLOBAL.H                                *
// ****************************************************************************

