// ****************************************************************************
// *           KE-Visual - Visualisierungssprache unter Windows           		*
// ****************************************************************************
// * Sprache                : Borland C++ V 4.5/KE-Visual                    	*
// * programmiert von       : Peter Thaus                        					*
// * Projekt begonnen am    : 25.04.1994                                      *
// * Sourcetext begonnen am : 13.02.1995                                      *
// * letzte nderung am     : 01.10.1997                                      *
// ****************************************************************************
// *                          Datei : SYS_VAR.H                              	*
// ****************************************************************************
// * Bemerkung : applikationsunabhngige Systemvariable                      	*
// ****************************************************************************

// Applikationsunabhngige Systemvariable (Bereich 0..99)

#ifndef __SYS_VAR_H
#define __SYS_VAR_H
#define __KEB_SYS_VAR_H

// Anzahl reservierter Flags fr KE-Visual
#define  KEV_SYSTEM_VARIABLES						100

// Fehlervariable
#define  SYSVAR_DOS_RESULT                   1 	// Ergebnis nach einer DOS-Operation
																// (Datei/Verzeichnis lschen, erzeugen....)
#define	SYSVAR_DATABASE_ERROR_CODE			   2	// Fehlercode der Datenbank

// Abfrage von Datum und Uhrzeit
#define  SYSVAR_CLOCK_HOUR                  10 	// aktuelle Uhrzeit (Stunde)
#define  SYSVAR_CLOCK_MINUTE                11 	// aktuelle Uhrzeit (Minute)
#define  SYSVAR_CLOCK_SECOND                12 	// aktuelle Uhrzeit (Sekunde)
#define  SYSVAR_DATE_YEAR                   13 	// aktuelles Datum (Jahr z.B. 1994)
#define  SYSVAR_DATE_MONTH                  14 	// aktuelles Datum (Monat)
#define  SYSVAR_DATE_DAY                    15 	// aktuelles Datum (Tag)
#define  SYSVAR_DATE_DAY_OF_WEEK            16 	// aktuelles Datum (Wochentag; 0 = Sonntag)

// Variablen fr Debug-Zwecke (Fehlersuche) und zur Systemanalyse
#define	SYSVAR_FREE_MEMORY                 21	//	grter verfgbarer Speicherblock in Byte
#define	SYSVAR_FREE_SPACE						  22	// gesamter verfgbarere Speicher in Byte
#define  SYSVAR_SYSTEM_RESOURCES 			  23  //	verfgbare Systemresourcen in Prozent
#define  SYSVAR_GDI_RESOURCES 				  24	//	verfgbare GDI-Resourcen in Prozent
#define  SYSVAR_USER_RESOURCES 				  25	//	verfgbare User-Resourcen in Prozent
#define	SYSVAR_NOF_COMS						  26	// Anzahl der COM-Schnittstellen (maximal 4)
#define	SYSVAR_NOF_LPTS						  27	// Anzahl der LPT-Schnittstellen (maximal 3)


// Wechsel des ID-Objektes -> festhalten von welchem Objekt auf welches gewechselt wird
#define	SYSVAR_IDOBJECT_CHANGE_FROM		  30	// ID des Objektes, das verlassen werden soll
#define	SYSVAR_IDOBJECT_CHANGE_TO  		  31	//	ID des Objektes, auf das gewechselt werden soll
#define	SYSVAR_IDOBJECT_STARTED				  32	// ID des Objektes, das durch Hotkey oder Maus gestartet wurde	

// Druckervariablen
#define	SYSVAR_PRINTER_PAGE_LENGTH			  40	// Seitenlnge des Druckers (fr Textdrucker)
#define	SYSVAR_PRINTER_PAGE_COLUMNS		  41	// Spaltenanzahl des Druckers (fr Textdrucker)
#define  SYSVAR_PRINTERPAGE                 42 	// aktuelle Seite beim Ausdruck
#define	SYSVAR_PRINTERTEXT_PARAMETER	  	  43	// Zusatzparameter beim Befehl StartPrinterText	

// MausEvent-Variablen
#define	SYSVAR_MOUSE_X            			  50	// X-Position der Maus
#define	SYSVAR_MOUSE_Y              	  	  51	// Y-Position der Maus
#define	SYSVAR_MOUSE_EVENT_TYPE				  52	// Art des Mausevents (z.B. ME_LBUTTONDOWN)

// Keyboard-Event-Variablen
#define	SYSVAR_KEY_DOWN						  54	// Tastencode der gedrckten Taste

// Message-Event-Variablen (fr Befehle MessageToScreenText)
#define	SYSVAR_MESSAGE_CODE_1				  56
#define	SYSVAR_MESSAGE_CODE_2				  57
#define	SYSVAR_MESSAGE_CODE_3				  58

// Stringtabellen
#define	SYSVAR_CURRENT_STRINGTABLE_SCREEN  60	// aktuelle Stringtabelle fr Bildschirm
#define	SYSVAR_CURRENT_STRINGTABLE_PRINTER 61	// aktuelle Stringtabelle fr Drucker

#endif __SYS_VAR_H

//*****************************************************************************
//                     	   Ende Datei : SYS_VAR.H                         		*
//*****************************************************************************

